Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Variables
ranges Namespace Reference

unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one. More...

## Typedefs
template<typename Rng , typename... Rest>
using | InsertableRange = concepts::models< concepts::InsertableRange, Rng, Rest... >

## Variables
constexpr adl_insert_detail::insert_fn | insert {}

## Detailed Description

unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case] Each erased element overwritten (moved in) with last one.

Those, unstable_remove loose elements order.